Project

General

Profile

Bug #11567

loader: ficl vm.o volatile argument warning

Added by Toomas Soome 11 months ago. Updated 11 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
bootloader
Start date:
Due date:
% Done:

100%

Estimated time:
Difficulty:
Medium
Tags:
Gerrit CR:

Description

This is the same issue and fix as for libficl-sys, we only need it while we support gcc 4.

    /code/illumos-gate/usr/src/common/ficl/vm.c:239: error: argument 'fw' might be clobbered by 'longjmp' or 'vfork' [-Wclobbered]

History

#1

Updated by Electric Monk 11 months ago

  • % Done changed from 90 to 100
  • Status changed from In Progress to Closed

git commit db8c8c38e426ee930350455b89c617823e208136

commit  db8c8c38e426ee930350455b89c617823e208136
Author: Toomas Soome <tsoome@me.com>
Date:   2019-08-19T15:21:34.000Z

    11567 loader: ficl vm.o volatile argument warning
    Reviewed by: Andrew Stormont <andyjstormont@gmail.com>
    Approved by: Dan McDonald <danmcd@joyent.com>

Also available in: Atom PDF